Album: Felsite
Style: single
Artists:
- Thomas Ferkol
Date: March 11, 2012
Date Added: February 2, 2025
Cover Artists:
- George Kavallines
Wallpaper Artists:
- George Kavallines
Cover Art File Extension: jpg
Wallpaper File Extension: png
URLs:
- https://eidolonorpheus.bandcamp.com/track/felsite
- https://youtu.be/nmg1lHBO-IE
Color: '#4fd832'
Groups:
- Thomas Ferkol
- Beyond
---
Track: Felsite
Duration: '03:17'
Commentary: |-
    <i>Thomas Ferkol:</i> ([Bandcamp about blurb](https://eidolonorpheus.bandcamp.com/track/felsite))

    The accompanying track to Bravemule.com video interlude [Matul Remrit "1054: Felsite"](https://www.youtube.com/watch?v=nmg1lHBO-IE)
